Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Types | Public Member Functions | List of all members
ContTokenizer< Container > Struct Template Reference

char container tokenizer template class More...

`#include <tokenizer.h>`

Inheritance diagram for ContTokenizer< Container >:

## Public Types

typedef Container::value_type | value_type
typedef Container::iterator | iterator
typedef Container::const_iterator | const_iterator

## Public Member Functions

| ContTokenizer (const Container *cont)
template<typename DelimCont>
| ContTokenizer (const Container *cont, const DelimCont &delims)
void | setSource (const Container *cont)
Public Member Functions inherited from ItTokenizer< Container::const_iterator, Container::value_type >
| ItTokenizer (Container::const_iterator bit, Container::const_iterator eit)
void | setSource (Container::const_iterator bit, Container::const_iterator eit)
void | setDelimList (const DelimCont &cont)
bool | next (DestCont &dst)
const value_type & | matched () const
void | addDelim (const value_type &value)
void | removeDelim (const value_type &value)

## Detailed Description

template<typename Container>
struct mimetic::ContTokenizer< Container >

char container tokenizer template class

The documentation for this struct was generated from the following file:

- tokenizer.h